Bug 624640 - Kernel on installation DVD for RHEL 6b2 doesn't boot under VirtualBox
Kernel on installation DVD for RHEL 6b2 doesn't boot under VirtualBox
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
: RHELNAK
Depends On:
Blocks: 846704
  Show dependency treegraph
 
Reported: 2010-08-17 06:37 EDT by Rok Papez
Modified: 2013-02-27 06:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 06:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rok Papez 2010-08-17 06:37:19 EDT
Description of problem:
==============================
Kernel on installation DVD for RHEL 6b2 Server doesn't boot under VirtualBox.
GRUB loads nicely, displays the GRUB boot menu, Memtest runs without problems, but if I select any installation or rescue mode; kernel hangs after the message "Probing EDD (edd=off to disable)... ok". Sometimes I can see a graphical screen pop-up and close immediately (it's just a quick flash).

I've tried changing all sorts of settings under VirtualBox:
- VGA memory sizes from 9 MB to 64MB, 3D and no 3D acceleration...
- IO-APIC on and off

I've also tried setting vga=ask kernel line and it does ask with a list of available VGA modes. I can even select very big screen mode, but after resizing the screen kernel freezes and all I'm left is a big black VirtualBox screen.
==============================

Version-Release number of selected component (if applicable):
==============================
Kernel shipped with
$ sha1sum RHEL6.0-20100715.2-Server-x86_64-DVD1.iso 
63c1814f54d5bbffbebe9ca526a925036007ccad  RHEL6.0-20100715.2-Server-x86_64-DVD1.iso

Host system:
$ rpm -qf /usr/bin/VirtualBox
VirtualBox-OSE-3.2.6-2.fc13.x86_64
$ cat /etc/redhat-release 
Fedora release 13 (Goddard)
$ uname -a
Linux dex 2.6.33.6-147.2.4.fc13.x86_64 #1 SMP Fri Jul 23 17:14:44 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
==============================

How reproducible:
Boot the DVD in VirtualBox

Steps to Reproduce:
1. Create VirtualBox guest VM
2. Load RHEL 6b2 DVD image to VM DVD drive
3. Boot
  
Actual results:
Installation Kernel doesn't boot

Expected results:
Kernel boots and Anaconda starts running

Additional info:
Comment 2 RHEL Product and Program Management 2010-08-17 06:58:35 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 RHEL Product and Program Management 2010-08-18 17:23:44 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Red Hat Enterprise Linux. Unfortunately, we
are unable to address this request in the current release. Because we
are in the final stage of Red Hat Enterprise Linux 6 development, only
significant, release-blocking issues involving serious regressions and
data corruption can be considered.

If you believe this issue meets the release blocking criteria as
defined and communicated to you by your Red Hat Support representative,
please ask your representative to file this issue as a blocker for the
current release. Otherwise, ask that it be evaluated for inclusion in
the next minor release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2011-10-07 11:11:12 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 5 Jes Sorensen 2013-02-27 06:20:21 EST
RHEL6.0 has been out for a long time - if you can reproduce this with a recent
RHEL6, please file a new bugzilla.

Closing

Note You need to log in before you can comment on or make changes to this bug.